//TransLoadPanel
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;


public class TransLoadPanel extends PR implements ItemListener{
    public Checkbox c1, c2;
    protected CheckboxGroup cgrp;
    private NewGuide_State state;
    
    //protected static final Color bgcolor = new Color(200,200,200);//gray
    private static final Color bgcolor = new Color(216,216,191);
    private static final Color tinta = new Color(236,236,221);
    
    public TransLoadPanel(String titulo, String[] nome, String[] unidade,NewGuide_State state){
	super(titulo,nome,unidade);
	setLayout(null);
	this.state = state;
	cgrp = new CheckboxGroup();
	c1 = new Checkbox("Resistance",cgrp,true);
	c2 = new Checkbox("Conductance",cgrp,false);
	add(c1);
	add(c2);
	
	titlelabel.setBounds(3,5,270,25);
	lab1[0].setBounds(60,40,20,25);
	text1[0].setBounds(110,40,80,25);
	
	
	lab2[0].setBounds(195,40,45,25);
	//text2[0].setBounds(170,30,80,25);
	
	
	//lab3[0].setBounds(260,30,30,25);
	c1.setBounds(55,70,100,25);
	//c1.setBackground(bgcolor);
	c2.setBounds(170,70,100,25);
	//c2.setBackground(bgcolor);
	b1.setBounds(95,100,100,25);
	
	//Listeners
	c1.addItemListener(this);
	c2.addItemListener(this);
    }
    /*
    public void paint(Graphics g){
	
	g.setColor(bgcolor.darker());
	g.fillRect(0,getSize().height-2,getSize().width,2);
	g.fillRect(getSize().width-2,0,2,getSize().height);
	g.setColor(bgcolor.brighter());
	g.fillRect(0,0,2,getSize().height-1);
	g.fillRect(0,0,getSize().width-2,2);
	
	g.setFont(new Font("SanSerif",Font.PLAIN,12));
	g.setColor(Color.black);    
	
	    //g.drawString("L",95,45);
	    MaestroG.subscripter("R","L"," = ",g,12,80,80);
    }
    */
    
    public void itemStateChanged(ItemEvent evt){
	
    }
}